JmDNSImpl.ServiceTypeEntry
Date: 2017-02-10

javax.jmdns.impl

## Class JmDNSImpl.ServiceTypeEntry

- java.lang.Object
- - java.util.AbstractMap<java.lang.String,java.lang.String>
  - - javax.jmdns.impl.JmDNSImpl.ServiceTypeEntry

- All Implemented Interfaces:
    java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>
  Enclosing class:
    JmDNSImpl

      public static class JmDNSImpl.ServiceTypeEntry
      extends java.util.AbstractMap<java.lang.String,java.lang.String>
      implements java.lang.Cloneable

  This is used to store type entries. The type is stored as a call variable and the map support the subtypes.

  The key is the lowercase version as the value is the case preserved version.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmDNSImpl.ServiceTypeEntry(java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.String subtype)` Adds the specified element to this set if it is not already present.
    `JmDNSImpl.ServiceTypeEntry` | `clone()`
    `boolean` | `contains(java.lang.String subtype)` Returns `true` if this set contains the specified element.
    `java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>>` | `entrySet()`
    `java.lang.String` | `getType()` The type associated with this entry.
    `java.util.Iterator<java.lang.String>` | `iterator()` Returns an iterator over the elements in this set.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JmDNSImpl.ServiceTypeEntry

          public JmDNSImpl.ServiceTypeEntry(java.lang.String type)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      The type associated with this entry.
      Returns:
        the type

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,java.lang.String>`
      Specified by:
        `entrySet` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

    - #### contains

          public boolean contains(java.lang.String subtype)

      Returns `true` if this set contains the specified element. More formally, returns `true` if and only if this set contains an element `e` such that `(o==null ? e==null : o.equals(e))`.
      Parameters:
        `subtype` - element whose presence in this set is to be tested
      Returns:
        `true` if this set contains the specified element

    - #### add

          public boolean add(java.lang.String subtype)

      Adds the specified element to this set if it is not already present. More formally, adds the specified element `e` to this set if this set contains no element `e2` such that `(e==null ? e2==null : e.equals(e2))`. If this set already contains the element, the call leaves the set unchanged and returns `false`.
      Parameters:
        `subtype` - element to be added to this set
      Returns:
        `true` if this set did not already contain the specified element

    - #### iterator

          public java.util.Iterator<java.lang.String> iterator()

      Returns an iterator over the elements in this set. The elements are returned in no particular order (unless this set is an instance of some class that provides a guarantee).
      Returns:
        an iterator over the elements in this set

    - #### clone

          public JmDNSImpl.ServiceTypeEntry clone()

      Overrides:
        `clone` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`